package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.entity.TExamTaskFlow;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考试任务和流程关联表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-11-22
 */
public interface TExamTaskFlowMapper extends BaseMapper<TExamTaskFlow> {

    /**
     * 根据考试任务id查找
     *
     * @param examTaskId
     * @return
     */
    Integer findByFlowLevel(@Param("examTaskId") Long examTaskId);

    /**
     * 根据流程id查找
     *
     * @param flowId
     * @return
     */
    Long findByRootLevel(@Param("flowId") Long flowId);

    /**
     * 根据考试任务id查找
     *
     * @param examTaskId
     * @return
     */
    Integer findByRootLevelByExamTaskId(@Param("examTaskId") Long examTaskId);
}
